Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.dom
Class DOMImplementationSourceImpl

    java.lang.Object
      weblogic.apache.xerces.dom.DOMImplementationSourceImpl

All Implemented Interfaces:
  org.apache.xerces.dom3.DOMImplementationSource

Deprecated. please use JDK supplied XML parsers and transformers

public class DOMImplementationSourceImpl
extends Object
implements org.apache.xerces.dom3.DOMImplementationSource

Supply one the right implementation, based upon requested features. Each implemented `DOMImplementationSource` object is listed in the binding-specific list of available sources so that its `DOMImplementation` objects are made available.

See also the Document Object Model (DOM) Level 3 Core Specification.

Constructor Summary
`DOMImplementationSourceImpl()` Deprecated.

Method Summary
`DOMImplementation` | `getDOMImplementation(String features)` Deprecated. A method to request a DOM implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMImplementationSourceImpl

    public DOMImplementationSourceImpl()

  Deprecated.

Method Detail

### getDOMImplementation

    public DOMImplementation getDOMImplementation(String features)

  Deprecated.
  A method to request a DOM implementation.

  Specified by:
    `getDOMImplementation` in interface `org.apache.xerces.dom3.DOMImplementationSource`
  Parameters:
    `features` - A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal Events 2.0"
  Returns:
    An implementation that has the desired features, or `null` if this source has none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD